AI Sync

Courses

Reorder Categories

POSThttps://app.rizzdial.com/api/knowledge-hub/courses/{id}/reorder-categories
Reorder Categories
curl --request POST \
  --url https://app.rizzdial.com/api/knowledge-hub/courses/<id>/reorder-categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "category_ids": [
    3,
    1,
    2
  ]
}'
{
  "message": "Categories reordered successfully.",
  "success": true
}

Reorder Categories#

Sets sort_order from the array index (1 based). Requires edit-knowledge-hub.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

idstringpathrequired

Base64 id from the matching list or builder. A raw numeric id is also accepted.

category_idsarraybodyrequired

Raw numeric id (not base64). The live route validates integer|exists. Only ids on this course are updated.

curl --request POST \
  --url https://app.rizzdial.com/api/knowledge-hub/courses/MQ==/reorder-categories \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"category_ids":[3,1,2]}'
messagestring

Categories reordered successfully.